repo/gentoo:master commit in: dev-util/pkgconf/
"Sam James" <[email protected]> Sun, 02 Aug 2026 11:46:44 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785671000.3955f6d4b1087f6767cabc09b6ff27cef1b66785.sam@gentoo> |
commit: 3955f6d4b1087f6767cabc09b6ff27cef1b66785
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 2 11:43:20 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 2 11:43:20 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3955f6d4
dev-util/pkgconf: add 3.0.5
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/pkgconf/Manifest | 1 +
dev-util/pkgconf/pkgconf-3.0.5.ebuild | 68 +++++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/dev-util/pkgconf/Manifest b/dev-util/pkgconf/Manifest
index 69fd69297c6d..38c225da086b 100644
--- a/dev-util/pkgconf/Manifest
+++ b/dev-util/pkgconf/Manifest
@@ -1,3 +1,4 @@
DIST pkgconf-2.5.1.tar.xz 328064 BLAKE2B 0995c1d649876d27e9275a77b702c0c100979c7b83fb7b58c925ca287be5e1568dd7ae2781dac51beb9e84a41d4424428f0542e4de488c45d005d602e76e1277 SHA512 e654c3a460e5f0f801e8ac43ad9086f397d1da0553186ff05f5f0e18ffdac99fb652fd9b6c0379db4bc8307699699d69bc66d13cc85a4a6b0cd36462f5948a1d
DIST pkgconf-3.0.3.tar.xz 415512 BLAKE2B 1de3b5f81b1bf291c3861c39244e2020de5333046f594161e687aa56388615b5b6d97db07cee9f19d66d6c6dae09a50e8b1045f8718ab8c7bea5e630a1252e2e SHA512 72dfd924e4e1763ac362ed7ed2f88378d05f21118f67883a521524fbf8500d6e21152805802cd104dbd123d427dc2b0293a3e0c05b7553d42c0f1eb418a0331f
DIST pkgconf-3.0.4.tar.xz 418324 BLAKE2B 19dc43450844eb967b0b7a05242603070cc0c2bbc24d7cf29980f20c3e4b9fe6e652d48c0d4afd040dc3fb87b1816bd97d08211fd8a68a217493f74349d282bb SHA512 0ed682acf6bf08d40f1653217ce637f6e30a40f09598ef0b9aebe3f27d46d953897e7ff876feaa6b2d6c583a770ef9625ba7690bb7484dcf40afadceb02c3886
+DIST pkgconf-3.0.5.tar.xz 426972 BLAKE2B c271d6afcc37faebc141156c20fff3305cd1b23e5f0c92f6d7e295d6f1547697e5c17e7bf0a55fc94ad21edab0a1d9f004537397d6d98101282863b62826d4d6 SHA512 5f4559697ec1849771eefaeb77a3fea7caa638b83d381e6e2f913e3f053fa1ae796f18e4360d3a37bc1a17999f043ea244e91cadd5f3c170d50c48088e4c1a55
diff --git a/dev-util/pkgconf/pkgconf-3.0.5.ebuild b/dev-util/pkgconf/pkgconf-3.0.5.ebuild
new file mode 100644
index 000000000000..d77151edc86d
--- /dev/null
+++ b/dev-util/pkgconf/pkgconf-3.0.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2012-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib multilib-minimal
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://github.com/pkgconf/pkgconf"
+else
+ SRC_URI="https://distfiles.ariadne.space/${PN}/${P}.tar.xz"
+
+ if [[ $(ver_cut 3) -lt 90 ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+ fi
+fi
+
+DESCRIPTION="pkg-config compatible replacement with no dependencies other than C99"
+HOMEPAGE="https://github.com/pkgconf/pkgconf"
+
+LICENSE="ISC"
+SLOT="0/8"
+IUSE="+native-symlinks"
+
+RDEPEND="!dev-util/pkgconfig"
+
+src_prepare() {
+ default
+
+ [[ ${PV} == 9999 ]] && eautoreconf
+
+ MULTILIB_CHOST_TOOLS=(
+ /usr/bin/pkgconf$(get_exeext)
+ /usr/bin/pkg-config$(get_exeext)
+ )
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --with-system-includedir="${EPREFIX}/usr/include"
+ --with-system-libdir="${EPREFIX}/$(get_libdir):${EPREFIX}/usr/$(get_libdir)"
+ )
+
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+ unset PKG_CONFIG_LIBDIR PKG_CONFIG_PATH
+ default
+}
+
+multilib_src_install() {
+ default
+
+ dosym pkgconf$(get_exeext) /usr/bin/pkg-config$(get_exeext)
+ dosym pkgconf.1 /usr/share/man/man1/pkg-config.1
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ if ! use native-symlinks; then
+ rm "${ED}"/usr/bin/{pkgconf,pkg-config}$(get_exeext) || die
+ fi
+
+ find "${ED}" -type f -name '*.la' -delete || die
+}